// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics-dtos.proto

package com.accelfin.server.demo.analytics.dtos;

/**
 * Protobuf enum {@code com.accelfin.server.demo.analytics.dtos.ReportTypeDto}
 */
public enum ReportTypeDto
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <code>FX_ALERTS = 0;</code>
   */
  FX_ALERTS(0),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>FX_ALERTS = 0;</code>
   */
  public static final int FX_ALERTS_VALUE = 0;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static ReportTypeDto valueOf(int value) {
    return forNumber(value);
  }

  public static ReportTypeDto forNumber(int value) {
    switch (value) {
      case 0: return FX_ALERTS;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<ReportTypeDto>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      ReportTypeDto> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<ReportTypeDto>() {
          public ReportTypeDto findValueByNumber(int number) {
            return ReportTypeDto.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return com.accelfin.server.demo.analytics.dtos.AccelfinServerDemoAnalyticsDtos.getDescriptor()
        .getEnumTypes().get(0);
  }

  private static final ReportTypeDto[] VALUES = values();

  public static ReportTypeDto valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private ReportTypeDto(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:com.accelfin.server.demo.analytics.dtos.ReportTypeDto)
}

